import { UserId } from '../../user/types';
import { z } from 'zod';
import { userBooksQueryParser } from './parsers';
import { BookType } from '../types';

export type UserBooksQuery = z.infer<typeof userBooksQueryParser>;

interface UserBooksReportRow {
  userId: UserId;
  books: {
    [t in BookType]: {
      // TODO debit/credit
      sumFrom: bigint;
      sumTo: bigint;
      // TODO proper type
    };
  };
}

export interface UserBooksReportResponse {
  rows: readonly UserBooksReportRow[];
  totals: UserBooksReportRow['books'];
  count: number;
}
