import { UserId } from '../../user/types';
import { z } from 'zod';
import { userBooksQueryParser } from './parsers';
import { BookType } from '../types';
export declare type UserBooksQuery = z.infer<typeof userBooksQueryParser>;
interface UserBooksReportRow {
    userId: UserId;
    books: {
        [t in BookType]: {
            sumFrom: bigint;
            sumTo: bigint;
        };
    };
}
export interface UserBooksReportResponse {
    rows: readonly UserBooksReportRow[];
    totals: UserBooksReportRow['books'];
    count: number;
}
export {};
